Retrieve pending purchase points and cashback for a given customer.
curl --request GET \
--url https://api.bonifiq.com.br/v1/pvt/Customer/{id}/pendingpoints \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.bonifiq.com.br/v1/pvt/Customer/{id}/pendingpoints"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.bonifiq.com.br/v1/pvt/Customer/{id}/pendingpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bonifiq.com.br/v1/pvt/Customer/{id}/pendingpoints",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bonifiq.com.br/v1/pvt/Customer/{id}/pendingpoints"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bonifiq.com.br/v1/pvt/Customer/{id}/pendingpoints")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bonifiq.com.br/v1/pvt/Customer/{id}/pendingpoints")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"TotalPendingPoints": 123,
"TotalPendingCashback": 123,
"PendingOrders": [
{
"OrderId": "<string>",
"OrderDate": "2023-11-07T05:31:56Z",
"OrderValue": 123,
"PendingPoints": 123,
"PendingCashback": 123
}
]
}Customer
Retrieve pending purchase points and cashback for a given customer.
This endpoint returns orders that still do not have granted purchase points and are either still waiting for the scoring status or already eligible but not processed yet. The summary includes the total pending points and, when cashback is active, the total pending cashback.
GET
/
v1
/
pvt
/
Customer
/
{id}
/
pendingpoints
Retrieve pending purchase points and cashback for a given customer.
curl --request GET \
--url https://api.bonifiq.com.br/v1/pvt/Customer/{id}/pendingpoints \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.bonifiq.com.br/v1/pvt/Customer/{id}/pendingpoints"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.bonifiq.com.br/v1/pvt/Customer/{id}/pendingpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bonifiq.com.br/v1/pvt/Customer/{id}/pendingpoints",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bonifiq.com.br/v1/pvt/Customer/{id}/pendingpoints"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bonifiq.com.br/v1/pvt/Customer/{id}/pendingpoints")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bonifiq.com.br/v1/pvt/Customer/{id}/pendingpoints")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"TotalPendingPoints": 123,
"TotalPendingCashback": 123,
"PendingOrders": [
{
"OrderId": "<string>",
"OrderDate": "2023-11-07T05:31:56Z",
"OrderValue": 123,
"PendingPoints": 123,
"PendingCashback": 123
}
]
}Authorizations
Use API Basic Auth Keys
Path Parameters
Id from the client`s store, usually email address
Response
200 - application/json
Summary of purchase points and cashback that are still pending for a customer.
Total amount of pending points considering all eligible pending orders.
Total cashback equivalent for the pending points when cashback is active. Otherwise null.
Orders that still have points pending to be processed or are still waiting for the scoring status.
Show child attributes
Show child attributes
Was this page helpful?